xiliu@master:/tmp/matplotlib-0.99.1.1$ python setup.py build
============================================================================
BUILDING MATPLOTLIB
            matplotlib: 0.99.1.1
                python: 2.6 (r26:66714, Nov  3 2009, 17:33:38)  [GCC 4.4.1
                        20090725 (Red Hat 4.4.1-2)]
              platform: linux2

REQUIRED DEPENDENCIES
                 numpy: 1.3.0
             freetype2: 9.20.3

OPTIONAL BACKEND DEPENDENCIES
                libpng: 1.2.37
               Tkinter: Tkinter: 65971, Tk: 8.5, Tcl: 8.5
              wxPython: 2.8.10.1
                        * WxAgg extension not required for wxPython >= 2.8
                  Gtk+: gtk+: 2.16.6, glib: 2.20.5, pygtk: 2.14.1,
                        pygobject: 2.16.1
       Mac OS X native: no
                    Qt: no
                   Qt4: no
                 Cairo: 1.8.2

OPTIONAL DATE/TIMEZONE DEPENDENCIES
              datetime: present, version unknown
              dateutil: 1.4.1
                  pytz: 2008i

OPTIONAL USETEX DEPENDENCIES
                dvipng: no
           ghostscript: 8.70
                 latex: 3.141592
               pdftops: 0.10.7

[Edit setup.cfg to suppress the above messages]
============================================================================
pymods ['pylab']
packages ['matplotlib', 'matplotlib.backends', 'matplotlib.projections', 'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid', 'matplotlib.sphinxext', 'matplotlib.numerix', 'matplotlib.numerix.mlab', 'matplotlib.numerix.ma', 'matplotlib.numerix.linear_algebra', 'matplotlib.numerix.random_array', 'matplotlib.numerix.fft', 'matplotlib.delaunay']
running build
running build_py
copying lib/matplotlib/mpl-data/matplotlibrc -> build/lib.linux-i686-2.6/matplotlib/mpl-data
copying lib/matplotlib/mpl-data/matplotlib.conf -> build/lib.linux-i686-2.6/matplotlib/mpl-data
running build_ext
xiliu@master:/tmp/matplotlib-0.99.1.1$ sudo python setup.py install
============================================================================
BUILDING MATPLOTLIB
            matplotlib: 0.99.1.1
                python: 2.6 (r26:66714, Nov  3 2009, 17:33:38)  [GCC 4.4.1
                        20090725 (Red Hat 4.4.1-2)]
              platform: linux2

REQUIRED DEPENDENCIES
                 numpy: 1.3.0
             freetype2: 9.20.3

OPTIONAL BACKEND DEPENDENCIES
                libpng: 1.2.37
               Tkinter: Tkinter: 65971, Tk: 8.5, Tcl: 8.5
              wxPython: 2.8.10.1
                        * WxAgg extension not required for wxPython >= 2.8
                  Gtk+: gtk+: 2.16.6, glib: 2.20.5, pygtk: 2.14.1,
                        pygobject: 2.16.1
       Mac OS X native: no
                    Qt: no
                   Qt4: no
                 Cairo: 1.8.2

OPTIONAL DATE/TIMEZONE DEPENDENCIES
              datetime: present, version unknown
              dateutil: 1.4.1
                  pytz: 2008i

OPTIONAL USETEX DEPENDENCIES
                dvipng: no
           ghostscript: 8.70
                 latex: 3.141592
               pdftops: 0.10.7

[Edit setup.cfg to suppress the above messages]
============================================================================
pymods ['pylab']
packages ['matplotlib', 'matplotlib.backends', 'matplotlib.projections', 'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid', 'matplotlib.sphinxext', 'matplotlib.numerix', 'matplotlib.numerix.mlab', 'matplotlib.numerix.ma', 'matplotlib.numerix.linear_algebra', 'matplotlib.numerix.random_array', 'matplotlib.numerix.fft', 'matplotlib.delaunay']
running install
running build
running build_py
copying lib/matplotlib/mpl-data/matplotlibrc -> build/lib.linux-i686-2.6/matplotlib/mpl-data
copying lib/matplotlib/mpl-data/matplotlib.conf -> build/lib.linux-i686-2.6/matplotlib/mpl-data
running build_ext
running install_lib
copying build/lib.linux-i686-2.6/matplotlib/mpl-data/matplotlibrc -> /usr/lib/python2.6/site-packages/matplotlib/mpl-data
copying build/lib.linux-i686-2.6/matplotlib/mpl-data/matplotlib.conf -> /usr/lib/python2.6/site-packages/matplotlib/mpl-data
running install_egg_info
Removing /usr/lib/python2.6/site-packages/matplotlib-0.99.1.1-py2.6.egg-info
Writing /usr/lib/python2.6/site-packages/matplotlib-0.99.1.1-py2.6.egg-info
xiliu@master:/tmp/matplotlib-0.99.1.1$ ipython -pylab
/usr/lib/python2.6/site-packages/IPython/Magic.py:38: DeprecationWarning: the sets module is deprecated
  from sets import Set
Traceback (most recent call last):
  File "/usr/bin/ipython", line 28, in <module>
    IPython.Shell.start().mainloop()
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 1233, in start
    return shell(user_ns = user_ns)
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 1108, in __init__
    shell_class=MatplotlibMTShell)
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 793, in __init__
    on_kill=[mainquit])
  File "/usr/lib/python2.6/site-packages/IPython/ipmaker.py", line 103, in make_IPython
    embedded=embedded,**kw)
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 639, in __init__
    user_ns,user_global_ns,b2 = self._matplotlib_config(name,user_ns,user_global_ns)
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 559, in _matplotlib_config
    import matplotlib.pylab as pylab
  File "/usr/lib/python2.6/site-packages/matplotlib/pylab.py", line 206, in <module>
    from matplotlib import mpl  # pulls in most modules
  File "/usr/lib/python2.6/site-packages/matplotlib/mpl.py", line 3, in <module>
    from matplotlib import axes
  File "/usr/lib/python2.6/site-packages/matplotlib/axes.py", line 24, in <module>
    import matplotlib.spines as mspines
  File "/usr/lib/python2.6/site-packages/matplotlib/spines.py", line 17, in <module>
    class Spine(mpatches.Patch):
  File "/usr/lib/python2.6/site-packages/matplotlib/spines.py", line 39, in Spine
    @docstring.dedent_interpd
  File "/usr/lib/python2.6/site-packages/matplotlib/docstring.py", line 103, in dedent_interpd
    return interpd(dedent(func))
  File "/usr/lib/python2.6/site-packages/matplotlib/docstring.py", line 36, in __call__
    func.__doc__ = func.__doc__ and func.__doc__ % self.params
KeyError: 'Patch'
xiliu@master:/tmp/matplotlib-0.99.1.1$